Delete Item Variation Value
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations/{variationId}/values/{variationValueId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations/{variationId}/values/{variationValueId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations/{variationId}/values/{variationValueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Delete Item Variation Value
Delete a specific value for a item variation
DELETE
/
v1
/
items
/
{itemId}
/
variations
/
{variationId}
/
values
/
{variationValueId}
Delete Item Variation Value
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The unique id of the item.
The unique id of the variation.
The unique id of the variation value.
Response
Was this page helpful?
⌘I